%global momorel 1
Summary: mouse accessibility enhancements
Name: mousetweaks
Version: 2.22.3
Release: %{momorel}m%{?dist}
License: GPLv3
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: GConf2-devel >= 2.22.0
BuildPrereq: gtk2-devel >= 2.12.8
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: gnome-panel-devel >= 2.22.0
BuildPrereq: at-spi-devel >= 1.22.0
BuildPrereq: dbus-glib-devel >= 0.74
BuildPrereq: libgnome-devel >= 2.22.0
BuildPrereq: libgnomeui-devel >= 2.22.01
BuildPrereq: libXfixes-devel >= 4.0.3
Requires: GConf2
Requires: rarian

%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop.

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    mousetweaks.schemas \
    pointer-capture-applet.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/mousetweaks.schemas
%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas
%{_bindir}/mousetweaks
%{_bindir}/pointer-capture-applet
%{_bindir}/dwell-click-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/%{name}
%{_mandir}/man1/dwell-click-applet.1.*
%{_mandir}/man1/mousetweaks.1.*
%{_mandir}/man1/pointer-capture-applet.1.*
%{_datadir}/gnome/help/%{name}

%changelog
* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- initial build
